# Delete content from a Podcast channel

You can delete content from your podcast channel. This means that your followers won't be able to listen to the deleted content any more.

```{contents}
:local:
```

## Delete an episode

```{warning}
Deleting an episode also deletes the file from the {term}`pod`. This action is irreversible.
```

To delete a single episode from a channel:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) next to the episode in question. This opens the track options menu.
6. Select {guilabel}`ℹ︎ Episode details`. The episode details page opens.
7. Select the kebab menu ({fa}`ellipsis-v`) at the top of the page.
8. Select {guilabel}`Delete…`. A {guilabel}`Delete this track?` warning appears.
9. Select {guilabel}`Delete` to delete the episode.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) next to the episode in question. This opens the track options menu.
6. Select {guilabel}`ℹ︎ Episode details`. The episode details page opens.
7. Select the kebab menu ({fa}`ellipsis-v`) at the top of the page.
8. Select {guilabel}`Delete…`. A {guilabel}`Delete this track?` warning appears.
9. Select {guilabel}`Delete` to delete the episode.

:::
::::

That's it! You've deleted your episode. You can add it again by [uploading it to your channel](upload_podcast.md).

## Delete a series

```{warning}
Deleting a series also deletes all episodes in the series and deletes the files from the {term}`pod`. This action is irreversible.
```

Delete a series to remove all episodes it contains. To do this:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select your series in the {guilabel}`Series` section. The series detail page opens.
6. Select the kebab menu ({fa}`ellipsis-v`) to open the options menu.
7. Select {guilabel}`Delete…`. A {guilabel}`Delete this album?` warning appears.
8. Select {guilabel}`Delete` to delete the series.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select your series in the {guilabel}`Series` section. The series detail page opens.
6. Select the kebab menu ({fa}`ellipsis-v`) to open the options menu.
7. Select {guilabel}`Delete…`. A {guilabel}`Delete this album?` warning appears.
8. Select {guilabel}`Delete` to delete the series.

:::
::::

You're done! You've deleted the series and all the episodes it contained. You can add them again by [uploading it to your channel](upload_podcast.md).
